## blender 2.79.b+dfsg0

=== CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

#-----------------------------------------------------------------------------
# We don't allow in-source builds. This causes no end of troubles because
# all out-of-source builds will use the CMakeCache.txt file there and even
# build the libs and objects in it.

if(${CMAKE_SOURCE_DIR} STREQUAL ${CMAKE_BINARY_DIR})
	if(NOT DEFINED WITH_IN_SOURCE_BUILD)
		message(FATAL_ERROR
			"CMake generation for blender is not allowed within the source directory!"
			"\n Remove \"${CMAKE_SOURCE_DIR}/CMakeCache.txt\" and try again from another folder, e.g.:"
			"\n "
			"\n rm CMakeCache.txt"
			"\n cd .."
			"\n mkdir cmake-make"
			"\n cd cmake-make"
			"\n cmake ../blender"
			"\n "
			"\n Alternately define WITH_IN_SOURCE_BUILD to force this option (not recommended!)"
		)
	endif()
endif()

cmake_minimum_required(VERSION 2.8)

if(NOT EXECUTABLE_OUTPUT_PATH)
	set(FIRST_RUN TRUE)
else()
	set(FIRST_RUN FALSE)
endif()

# this starts out unset
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/build_files/cmake/Modules")
list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/build_files/cmake/platform")

# avoid having empty buildtype
if(NOT DEFINED CMAKE_BUILD_TYPE_INIT)
	set(CMAKE_BUILD_TYPE_INIT "Release")
endif()

# quiet output for Makefiles, 'make -s' helps too
# set_property(GLOBAL PROPERTY RULE_MESSAGES OFF)

# global compile definitions since add_definitions() adds for all.

if(NOT (${CMAKE_VERSION} VERSION_LESS 3.0))
	set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS
		$<$<CONFIG:Debug>:DEBUG;_DEBUG>
		$<$<CONFIG:Release>:NDEBUG>
		$<$<CONFIG:MinSizeRel>:NDEBUG>
		$<$<CONFIG:RelWithDebInfo>:NDEBUG>
	)
else()
	# keep until CMake-3.0 is min requirement
	set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_DEBUG           DEBUG _DEBUG)
	set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_RELEASE         NDEBUG)
	set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_MINSIZEREL      NDEBUG)
	set_property(DIRECTORY APPEND PROPERTY COMPILE_DEFINITIONS_RELWITHDEBINFO  NDEBUG)
endif()

#-----------------------------------------------------------------------------
# Set policy

# see "cmake --help-policy CMP0003"
# So library linking is more sane
cmake_policy(SET CMP0003 NEW)

# So BUILDINFO and BLENDERPATH strings are automatically quoted
cmake_policy(SET CMP0005 NEW)

# So syntax problems are errors
cmake_policy(SET CMP0010 NEW)

# Input directories must have CMakeLists.txt
cmake_policy(SET CMP0014 NEW)

#-----------------------------------------------------------------------------
# Load some macros.
include(build_files/cmake/macros.cmake)


#-----------------------------------------------------------------------------
# Initialize project.

blender_project_hack_pre()

project(Blender)

blender_project_hack_post()

enable_testing()

#-----------------------------------------------------------------------------
# Redirect output files

set(EXECUTABLE_OUTPUT_PATH ${CMAKE_BINARY_DIR}/bin CACHE INTERNAL "" FORCE)
set(LIBRARY_OUTPUT_PATH ${CMAKE_BINARY_DIR}/lib CACHE INTERNAL "" FORCE)
set(TESTS_OUTPUT_DIR ${EXECUTABLE_OUTPUT_PATH}/tests CACHE INTERNAL "" FORCE)

#-----------------------------------------------------------------------------
# Set default config options

get_blender_version()


#-----------------------------------------------------------------------------
# Platform Specific Defaults

# list of var-names
set(_init_vars)

# initialize to ON
macro(option_defaults_init)
	foreach(_var ${ARGV})
		set(${_var} ON)
		list(APPEND _init_vars "${_var}")
	endforeach()
	unset(_var)
endmacro()

# remove from namespace
macro(option_defaults_clear)
	foreach(_var ${_init_vars})
		unset(${_var})
	endforeach()
	unset(_var)
	unset(_init_vars)
endmacro()


# values to initialize WITH_****
option_defaults_init(
	_init_BUILDINFO
	_init_CODEC_FFMPEG
	_init_CYCLES_OSL
	_init_CYCLES_OPENSUBDIV
	_init_IMAGE_OPENEXR
	_init_INPUT_NDOF
	_init_JACK
	_init_OPENCOLLADA
	_init_OPENCOLORIO
	_init_SDL
	_init_FFTW3
	_init_GAMEENGINE
	_init_OPENSUBDIV
)

# customize...
if(UNIX AND NOT APPLE)
	# some of these libraries are problematic on Linux
	# disable less important dependencies by default
	set(_init_CODEC_FFMPEG                   OFF)
	set(_init_CYCLES_OSL                     OFF)
	set(_init_CYCLES_OPENSUBDIV              OFF)
	set(_init_IMAGE_OPENEXR                  OFF)
	set(_init_JACK                           OFF)
	set(_init_OPENCOLLADA                    OFF)
	set(_init_OPENCOLORIO                    OFF)
	set(_init_SDL                            OFF)
	set(_init_FFTW3                          OFF)
	set(_init_OPENSUBDIV                     OFF)
elseif(WIN32)
	set(_init_JACK                           OFF)
elseif(APPLE)
	set(_init_JACK                           OFF)
	set(_init_OPENSUBDIV                     OFF)
endif()


#-----------------------------------------------------------------------------
# Options

# First platform specific non-cached vars
if(UNIX AND NOT APPLE)
	set(WITH_X11 ON)
endif()

# Blender internal features
option(WITH_BLENDER "Build blender (disable to build only the blender player)" ON)
mark_as_advanced(WITH_BLENDER)

option(WITH_INTERNATIONAL "Enable I18N (International fonts and text)" ON)

option(WITH_PYTHON        "Enable Embedded Python API  (only disable for development)" ON)
option(WITH_PYTHON_SECURITY "Disables execution of scripts within blend files by default" ON) 
mark_as_advanced(WITH_PYTHON)  # dont want people disabling this unless they really know what they are doing.
mark_as_advanced(WITH_PYTHON_SECURITY)  # some distributions see this as a security issue, rather than have them patch it, make a build option.

option(WITH_PYTHON_SAFETY "Enable internal API error checking to track invalid data to prevent crash on access (at the expense of some effeciency, only enable for development)." OFF)
mark_as_advanced(WITH_PYTHON_SAFETY)
option(WITH_PYTHON_MODULE "Enable building as a python module which runs without a user interface, like running regular blender in background mode (experimental, only enable for development), installs to PYTHON_SITE_PACKAGES (or CMAKE_INSTALL_PREFIX if WITH_INSTALL_PORTABLE is enabled)." OFF)
if(APPLE)
	option(WITH_PYTHON_FRAMEWORK "Enable building using the Python available in the framework (OSX only)" OFF)
endif()

option(WITH_BUILDINFO     "Include extra build details (only disable for development & faster builds)" ${_init_BUILDINFO})
if(${CMAKE_VERSION} VERSION_LESS 2.8.8)
	# add_library OBJECT arg unsupported
	set(WITH_BUILDINFO OFF)
endif()
set(BUILDINFO_OVERRIDE_DATE "" CACHE STRING "Use instead of the current date for reproducable builds (empty string disables this option)")
set(BUILDINFO_OVERRIDE_TIME "" CACHE STRING "Use instead of the current time for reproducable builds (empty string disables this option)")
set(CPACK_OVERRIDE_PACKAGENAME "" CACHE STRING "Use instead of the standard packagename (empty string disables this option)")
mark_as_advanced(CPACK_OVERRIDE_PACKAGENAME)
mark_as_advanced(BUILDINFO_OVERRIDE_DATE)
mark_as_advanced(BUILDINFO_OVERRIDE_TIME)

option(WITH_IK_ITASC      "Enable ITASC IK solver (only disable for development & for incompatible C++ compilers)" ON)
option(WITH_IK_SOLVER     "Enable Legacy IK solver (only disable for development)" ON)
option(WITH_FFTW3         "Enable FFTW3 support (Used for smoke, ocean sim, and audio effects)" ${_init_FFTW3})
option(WITH_BULLET        "Enable Bullet (Physics Engine)" ON)
option(WITH_SYSTEM_BULLET "Use the systems bullet library (currently unsupported due to missing features in upstream!)" )
mark_as_advanced(WITH_SYSTEM_BULLET)
option(WITH_GAMEENGINE    "Enable Game Engine" ${_init_GAMEENGINE})
if(APPLE)
	set(WITH_GAMEENGINE_DECKLINK OFF)
else()
	option(WITH_GAMEENGINE_DECKLINK "Support BlackMagicDesign DeckLink cards in the Game Engine" ON)
endif()
option(WITH_PLAYER        "Build Player" OFF)
option(WITH_OPENCOLORIO   "Enable OpenColorIO color management" ${_init_OPENCOLORIO})

# Compositor
option(WITH_COMPOSITOR         "Enable the tile based nodal compositor" ON)

option(WITH_OPENSUBDIV    "Enable OpenSubdiv for surface subdivision" _init_OPENSUBDIV)

option(WITH_OPENVDB       "Enable features relying on OpenVDB" OFF)
option(WITH_OPENVDB_BLOSC "Enable blosc compression for OpenVDB, only enable if OpenVDB was built with blosc support" OFF)

# GHOST Windowing Library Options
option(WITH_GHOST_DEBUG   "Enable debugging output for the GHOST library" OFF)
mark_as_advanced(WITH_GHOST_DEBUG)

option(WITH_GHOST_SDL    "Enable building Blender against SDL for windowing rather than the native APIs" OFF)
mark_as_advanced(WITH_GHOST_SDL)

if(WITH_X11)
	option(WITH_GHOST_XDND    "Enable drag'n'drop support on X11 using XDND protocol" ON)
endif()

# Misc...
option(WITH_HEADLESS      "Build without graphical support (renderfarm, server mode only)" OFF)
mark_as_advanced(WITH_HEADLESS)

option(WITH_AUDASPACE    "Build with blenders audio library (only disable if you know what you're doing!)" ON)
option(WITH_SYSTEM_AUDASPACE "Build with external audaspace library installed on the system (only enable if you know what you're doing!)" OFF)
mark_as_advanced(WITH_AUDASPACE)
mark_as_advanced(WITH_SYSTEM_AUDASPACE)

if(NOT WITH_AUDASPACE)
	set(WITH_SYSTEM_AUDASPACE OFF)
endif()

option(WITH_OPENMP        "Enable OpenMP (has to be supported by the compiler)" ON)
if(UNIX AND NOT APPLE)
	option(WITH_OPENMP_STATIC "Link OpenMP statically (only used by the release environment)" OFF)
	mark_as_advanced(WITH_OPENMP_STATIC)
endif()

if(WITH_X11)
	option(WITH_X11_XINPUT    "Enable X11 Xinput (tablet support and unicode input)"  ON)
	option(WITH_X11_XF86VMODE "Enable X11 video mode switching"                       ON)
	option(WITH_X11_XFIXES    "Enable X11 XWayland cursor warping workaround"         ON)
	option(WITH_X11_ALPHA     "Enable X11 transparent background"                     ON)
endif()

if(UNIX AND NOT APPLE)
	option(WITH_SYSTEM_GLEW "Use GLEW OpenGL wrapper library provided by the operating system" ON)
	option(WITH_SYSTEM_GLES "Use OpenGL ES library provided by the operating system"           ON)
else()
	# not an option for other OS's
	set(WITH_SYSTEM_GLEW OFF)
	set(WITH_SYSTEM_GLES OFF)
endif()


# (unix defaults to System OpenJPEG On)
option(WITH_SYSTEM_OPENJPEG "Use the operating systems OpenJPEG library" OFF)

if(UNIX AND NOT APPLE)
	option(WITH_SYSTEM_EIGEN3 "Use the systems Eigen3 library" OFF)
endif()


# Modifiers
option(WITH_MOD_FLUID           "Enable Elbeem Modifier (Fluid Simulation)" ON)
option(WITH_MOD_SMOKE           "Enable Smoke Modifier (Smoke Simulation)" ON)
option(WITH_MOD_BOOLEAN         "Enable Boolean Modifier" ON)
option(WITH_MOD_REMESH          "Enable Remesh Modifier" ON)
# option(WITH_MOD_CLOTH_ELTOPO    "Enable Experimental cloth solver" OFF)  # this is now only available in a branch
# mark_as_advanced(WITH_MOD_CLOTH_ELTOPO)
option(WITH_MOD_OCEANSIM        "Enable Ocean Modifier" OFF)

# Image format support
option(WITH_OPENIMAGEIO         "Enable OpenImageIO Support (http://www.openimageio.org)" ON)

=== extern/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

# Libs that adhere to strict flags
add_subdirectory(curve_fit_nd)

# Otherwise we get warnings here that we cant fix in external projects
remove_strict_flags()

# Not a strict flag, but noisy for code we don't maintain
if(CMAKE_COMPILER_IS_GNUCC)
	remove_cc_flag(
		"-Wmisleading-indentation"
	)
endif()


add_subdirectory(rangetree)
add_subdirectory(wcwidth)

if(WITH_BULLET)
	if(NOT WITH_SYSTEM_BULLET)
		add_subdirectory(bullet2)
	endif()
endif()

# now only available in a branch
#if(WITH_MOD_CLOTH_ELTOPO)
#	add_subdirectory(eltopo)
#endif()

if(WITH_BINRELOC)
	add_subdirectory(binreloc)
endif()

if(NOT WITH_SYSTEM_GLEW)
	if(WITH_GLEW_ES)
		add_subdirectory(glew-es)
	else()
		add_subdirectory(glew)
	endif()
endif()

if(WITH_GAMEENGINE)
	add_subdirectory(recastnavigation)
endif()

if(WITH_IMAGE_OPENJPEG AND (NOT WITH_SYSTEM_OPENJPEG))
	add_subdirectory(libopenjpeg)
endif()

if(WITH_LZO AND NOT WITH_SYSTEM_LZO)
	add_subdirectory(lzo)
endif()

if(WITH_LZMA)
	add_subdirectory(lzma)
endif()

if(WITH_CYCLES OR WITH_COMPOSITOR OR WITH_OPENSUBDIV)
	add_subdirectory(clew)
	if(WITH_CUDA_DYNLOAD)
		add_subdirectory(cuew)
	endif()
endif()

if(WITH_MOD_BOOLEAN)
	add_subdirectory(carve)
endif()

if(WITH_X11 AND WITH_GHOST_XDND)
	add_subdirectory(xdnd)
endif()

if(WITH_LIBMV)
	add_subdirectory(ceres)
endif()

if(WITH_LIBMV OR WITH_GTESTS OR (WITH_CYCLES AND WITH_CYCLES_LOGGING))
	if (NOT WITH_SYSTEM_GFLAGS)
		add_subdirectory(gflags)
	endif()
	add_subdirectory(glog)
endif()

if(WITH_GTESTS)
	add_subdirectory(gtest)
	add_subdirectory(gmock)
endif()

if(WITH_SDL AND WITH_SDL_DYNLOAD)
	add_subdirectory(sdlew)
endif()

=== intern/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

# add_subdirectory(atomic)  # header only
add_subdirectory(string)
add_subdirectory(ghost)
add_subdirectory(guardedalloc)
add_subdirectory(libmv)
add_subdirectory(memutil)
add_subdirectory(opencolorio)
add_subdirectory(mikktspace)
add_subdirectory(glew-mx)
add_subdirectory(eigen)

if(WITH_GAMEENGINE_DECKLINK)
	add_subdirectory(decklink)
endif()

if(WITH_AUDASPACE)
	add_subdirectory(audaspace)
endif()

if(WITH_MOD_REMESH)
	add_subdirectory(dualcon)
endif()

if(WITH_MOD_FLUID)
	add_subdirectory(elbeem)
endif()

if(WITH_MOD_SMOKE)
	add_subdirectory(smoke)
endif()

if(WITH_IK_SOLVER)
	add_subdirectory(iksolver)
endif()

if(WITH_IK_ITASC)
	add_subdirectory(itasc)
endif()

if(WITH_GAMEENGINE)
	add_subdirectory(moto)
endif()

if(WITH_CYCLES)
	add_subdirectory(cycles)
endif()

if(WITH_INTERNATIONAL)
	add_subdirectory(locale)
endif()

if(WITH_BULLET)
	add_subdirectory(rigidbody)
endif()

if(WITH_OPENSUBDIV)
	add_subdirectory(opensubdiv)
endif()

# only windows needs utf16 converter
# gpudirect is a runtime interface to the nVidia's DVP driver, only for windows
if(WIN32)
	add_subdirectory(utfconv)
	add_subdirectory(gpudirect)
endif()

if(WITH_OPENVDB)
	add_subdirectory(openvdb)
endif()

=== source/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

add_subdirectory(blender)

if(WITH_GAMEENGINE)
	add_subdirectory(gameengine)
endif()

=== tests/CMakeLists.txt ===

# Python CTests
if(WITH_BLENDER)
	add_subdirectory(python)
endif()

# GTest
add_subdirectory(gtests)

=== extern/bullet2/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurai, Erwin Coumans
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	.
	src
)

set(INC_SYS

)

set(SRC
	src/BulletCollision/BroadphaseCollision/btAxisSweep3.cpp
	src/BulletCollision/BroadphaseCollision/btBroadphaseProxy.cpp
	src/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.cpp
	src/BulletCollision/BroadphaseCollision/btDbvt.cpp
	src/BulletCollision/BroadphaseCollision/btDbvtBroadphase.cpp
	src/BulletCollision/BroadphaseCollision/btDispatcher.cpp
	src/BulletCollision/BroadphaseCollision/btMultiSapBroadphase.cpp
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCache.cpp
	src/BulletCollision/BroadphaseCollision/btQuantizedBvh.cpp
	src/BulletCollision/BroadphaseCollision/btSimpleBroadphase.cpp
	src/BulletCollision/CollisionDispatch/SphereTriangleDetector.cpp
	src/BulletCollision/CollisionDispatch/btActivatingCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btBox2dBox2dCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btBoxBoxCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btBoxBoxDetector.cpp
	src/BulletCollision/CollisionDispatch/btCollisionDispatcher.cpp
	src/BulletCollision/CollisionDispatch/btCollisionObject.cpp
	src/BulletCollision/CollisionDispatch/btCollisionWorld.cpp
	src/BulletCollision/CollisionDispatch/btCollisionWorldImporter.cpp
	src/BulletCollision/CollisionDispatch/btCompoundCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btCompoundCompoundCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvex2dConvex2dAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexConcaveCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexConvexAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btConvexPlaneCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.cpp
	src/BulletCollision/CollisionDispatch/btEmptyCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btGhostObject.cpp
	src/BulletCollision/CollisionDispatch/btHashedSimplePairCache.cpp
	src/BulletCollision/CollisionDispatch/btInternalEdgeUtility.cpp
	src/BulletCollision/CollisionDispatch/btManifoldResult.cpp
	src/BulletCollision/CollisionDispatch/btSimulationIslandManager.cpp
	src/BulletCollision/CollisionDispatch/btSphereBoxCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btSphereSphereCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btSphereTriangleCollisionAlgorithm.cpp
	src/BulletCollision/CollisionDispatch/btUnionFind.cpp
	src/BulletCollision/CollisionShapes/btBox2dShape.cpp
	src/BulletCollision/CollisionShapes/btBoxShape.cpp
	src/BulletCollision/CollisionShapes/btBvhTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btCapsuleShape.cpp
	src/BulletCollision/CollisionShapes/btCollisionShape.cpp
	src/BulletCollision/CollisionShapes/btCompoundShape.cpp
	src/BulletCollision/CollisionShapes/btConcaveShape.cpp
	src/BulletCollision/CollisionShapes/btConeShape.cpp
	src/BulletCollision/CollisionShapes/btConvex2dShape.cpp
	src/BulletCollision/CollisionShapes/btConvexHullShape.cpp
	src/BulletCollision/CollisionShapes/btConvexInternalShape.cpp
	src/BulletCollision/CollisionShapes/btConvexPointCloudShape.cpp
	src/BulletCollision/CollisionShapes/btConvexPolyhedron.cpp
	src/BulletCollision/CollisionShapes/btConvexShape.cpp
	src/BulletCollision/CollisionShapes/btConvexTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btCylinderShape.cpp
	src/BulletCollision/CollisionShapes/btEmptyShape.cpp
	src/BulletCollision/CollisionShapes/btHeightfieldTerrainShape.cpp
	src/BulletCollision/CollisionShapes/btMinkowskiSumShape.cpp
	src/BulletCollision/CollisionShapes/btMultiSphereShape.cpp
	src/BulletCollision/CollisionShapes/btMultimaterialTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btOptimizedBvh.cpp
	src/BulletCollision/CollisionShapes/btPolyhedralConvexShape.cpp
	src/BulletCollision/CollisionShapes/btScaledBvhTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btShapeHull.cpp
	src/BulletCollision/CollisionShapes/btSphereShape.cpp
	src/BulletCollision/CollisionShapes/btStaticPlaneShape.cpp
	src/BulletCollision/CollisionShapes/btStridingMeshInterface.cpp
	src/BulletCollision/CollisionShapes/btTetrahedronShape.cpp
	src/BulletCollision/CollisionShapes/btTriangleBuffer.cpp
	src/BulletCollision/CollisionShapes/btTriangleCallback.cpp
	src/BulletCollision/CollisionShapes/btTriangleIndexVertexArray.cpp
	src/BulletCollision/CollisionShapes/btTriangleIndexVertexMaterialArray.cpp
	src/BulletCollision/CollisionShapes/btTriangleMesh.cpp
	src/BulletCollision/CollisionShapes/btTriangleMeshShape.cpp
	src/BulletCollision/CollisionShapes/btUniformScalingShape.cpp
	src/BulletCollision/Gimpact/btContactProcessing.cpp
	src/BulletCollision/Gimpact/btGImpactBvh.cpp
	src/BulletCollision/Gimpact/btGImpactCollisionAlgorithm.cpp
	src/BulletCollision/Gimpact/btGImpactQuantizedBvh.cpp
	src/BulletCollision/Gimpact/btGImpactShape.cpp
	src/BulletCollision/Gimpact/btGenericPoolAllocator.cpp
	src/BulletCollision/Gimpact/btTriangleShapeEx.cpp
	src/BulletCollision/Gimpact/gim_box_set.cpp
	src/BulletCollision/Gimpact/gim_contact.cpp
	src/BulletCollision/Gimpact/gim_memory.cpp
	src/BulletCollision/Gimpact/gim_tri_collision.cpp
	src/BulletCollision/NarrowPhaseCollision/btContinuousConvexCollision.cpp
	src/BulletCollision/NarrowPhaseCollision/btConvexCast.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkConvexCast.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkEpa2.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkEpaPenetrationDepthSolver.cpp
	src/BulletCollision/NarrowPhaseCollision/btGjkPairDetector.cpp
	src/BulletCollision/NarrowPhaseCollision/btMinkowskiPenetrationDepthSolver.cpp
	src/BulletCollision/NarrowPhaseCollision/btPersistentManifold.cpp
	src/BulletCollision/NarrowPhaseCollision/btPolyhedralContactClipping.cpp
	src/BulletCollision/NarrowPhaseCollision/btRaycastCallback.cpp
	src/BulletCollision/NarrowPhaseCollision/btSubSimplexConvexCast.cpp
	src/BulletCollision/NarrowPhaseCollision/btVoronoiSimplexSolver.cpp

	src/BulletDynamics/Character/btKinematicCharacterController.cpp
	src/BulletDynamics/ConstraintSolver/btConeTwistConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btContactConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btFixedConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btGearConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btGeneric6DofConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btGeneric6DofSpring2Constraint.cpp
	src/BulletDynamics/ConstraintSolver/btGeneric6DofSpringConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btHinge2Constraint.cpp
	src/BulletDynamics/ConstraintSolver/btHingeConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btNNCGConstraintSolver.cpp
	src/BulletDynamics/ConstraintSolver/btPoint2PointConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btSequentialImpulseConstraintSolver.cpp
	src/BulletDynamics/ConstraintSolver/btSliderConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btSolve2LinearConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btTypedConstraint.cpp
	src/BulletDynamics/ConstraintSolver/btUniversalConstraint.cpp
	src/BulletDynamics/Dynamics/Bullet-C-API.cpp
	src/BulletDynamics/Dynamics/btDiscreteDynamicsWorld.cpp
	src/BulletDynamics/Dynamics/btRigidBody.cpp
	src/BulletDynamics/Dynamics/btSimpleDynamicsWorld.cpp
	src/BulletDynamics/Featherstone/btMultiBody.cpp
	src/BulletDynamics/Featherstone/btMultiBodyConstraint.cpp
	src/BulletDynamics/Featherstone/btMultiBodyConstraintSolver.cpp
	src/BulletDynamics/Featherstone/btMultiBodyDynamicsWorld.cpp
	src/BulletDynamics/Featherstone/btMultiBodyJointLimitConstraint.cpp
	src/BulletDynamics/Featherstone/btMultiBodyJointMotor.cpp
	src/BulletDynamics/Featherstone/btMultiBodyPoint2Point.cpp
	src/BulletDynamics/MLCPSolvers/btDantzigLCP.cpp
	src/BulletDynamics/MLCPSolvers/btLemkeAlgorithm.cpp
	src/BulletDynamics/MLCPSolvers/btMLCPSolver.cpp
	src/BulletDynamics/Vehicle/btRaycastVehicle.cpp
	src/BulletDynamics/Vehicle/btWheelInfo.cpp

	src/BulletSoftBody/btDefaultSoftBodySolver.cpp
	src/BulletSoftBody/btSoftBody.cpp
	src/BulletSoftBody/btSoftBodyConcaveCollisionAlgorithm.cpp
	src/BulletSoftBody/btSoftBodyHelpers.cpp
	src/BulletSoftBody/btSoftBodyRigidBodyCollisionConfiguration.cpp
	src/BulletSoftBody/btSoftRigidCollisionAlgorithm.cpp
	src/BulletSoftBody/btSoftRigidDynamicsWorld.cpp
	src/BulletSoftBody/btSoftSoftCollisionAlgorithm.cpp

	src/LinearMath/btAlignedAllocator.cpp
	src/LinearMath/btConvexHull.cpp
	src/LinearMath/btConvexHullComputer.cpp
	src/LinearMath/btGeometryUtil.cpp
	src/LinearMath/btPolarDecomposition.cpp
	src/LinearMath/btQuickprof.cpp
	src/LinearMath/btSerializer.cpp
	src/LinearMath/btVector3.cpp

	src/BulletCollision/BroadphaseCollision/btAxisSweep3.h
	src/BulletCollision/BroadphaseCollision/btBroadphaseInterface.h
	src/BulletCollision/BroadphaseCollision/btBroadphaseProxy.h
	src/BulletCollision/BroadphaseCollision/btCollisionAlgorithm.h
	src/BulletCollision/BroadphaseCollision/btDbvt.h
	src/BulletCollision/BroadphaseCollision/btDbvtBroadphase.h
	src/BulletCollision/BroadphaseCollision/btDispatcher.h
	src/BulletCollision/BroadphaseCollision/btMultiSapBroadphase.h
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCache.h
	src/BulletCollision/BroadphaseCollision/btOverlappingPairCallback.h
	src/BulletCollision/BroadphaseCollision/btQuantizedBvh.h
	src/BulletCollision/BroadphaseCollision/btSimpleBroadphase.h
	src/BulletCollision/CollisionDispatch/SphereTriangleDetector.h
	src/BulletCollision/CollisionDispatch/btActivatingCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btBox2dBox2dCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btBoxBoxCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btBoxBoxDetector.h
	src/BulletCollision/CollisionDispatch/btCollisionConfiguration.h
	src/BulletCollision/CollisionDispatch/btCollisionCreateFunc.h
	src/BulletCollision/CollisionDispatch/btCollisionDispatcher.h
	src/BulletCollision/CollisionDispatch/btCollisionObject.h
	src/BulletCollision/CollisionDispatch/btCollisionObjectWrapper.h
	src/BulletCollision/CollisionDispatch/btCollisionWorld.h
	src/BulletCollision/CollisionDispatch/btCollisionWorldImporter.h
	src/BulletCollision/CollisionDispatch/btCompoundCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btCompoundCompoundCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvex2dConvex2dAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexConcaveCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexConvexAlgorithm.h
	src/BulletCollision/CollisionDispatch/btConvexPlaneCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btDefaultCollisionConfiguration.h
	src/BulletCollision/CollisionDispatch/btEmptyCollisionAlgorithm.h
	src/BulletCollision/CollisionDispatch/btGhostObject.h
	src/BulletCollision/CollisionDispatch/btHashedSimplePairCache.h
	src/BulletCollision/CollisionDispatch/btInternalEdgeUtility.h
	src/BulletCollision/CollisionDispatch/btManifoldResult.h
	src/BulletCollision/CollisionDispatch/btSimulationIslandManager.h

=== extern/ceres/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2012, Blender Foundation
# All rights reserved.
#
# Contributor(s): Blender Foundation,
#                 Sergey Sharybin
#
# ***** END GPL LICENSE BLOCK *****

# NOTE: This file is automatically generated by bundle.sh script
#       If you're doing changes in this file, please update template
#       in that script too

set(INC
	.
	include
	internal
	config
	../gflags/src
)

set(INC_SYS
	${EIGEN3_INCLUDE_DIRS}
)

set(SRC
	internal/ceres/array_utils.cc
	internal/ceres/blas.cc
	internal/ceres/block_evaluate_preparer.cc
	internal/ceres/block_jacobian_writer.cc
	internal/ceres/block_jacobi_preconditioner.cc
	internal/ceres/block_random_access_dense_matrix.cc
	internal/ceres/block_random_access_diagonal_matrix.cc
	internal/ceres/block_random_access_matrix.cc
	internal/ceres/block_random_access_sparse_matrix.cc
	internal/ceres/block_sparse_matrix.cc
	internal/ceres/block_structure.cc
	internal/ceres/callbacks.cc
	internal/ceres/c_api.cc
	internal/ceres/cgnr_solver.cc
	internal/ceres/compressed_col_sparse_matrix_utils.cc
	internal/ceres/compressed_row_jacobian_writer.cc
	internal/ceres/compressed_row_sparse_matrix.cc
	internal/ceres/conditioned_cost_function.cc
	internal/ceres/conjugate_gradients_solver.cc
	internal/ceres/coordinate_descent_minimizer.cc
	internal/ceres/corrector.cc
	internal/ceres/covariance.cc
	internal/ceres/covariance_impl.cc
	internal/ceres/dense_normal_cholesky_solver.cc
	internal/ceres/dense_qr_solver.cc
	internal/ceres/dense_sparse_matrix.cc
	internal/ceres/detect_structure.cc
	internal/ceres/dogleg_strategy.cc
	internal/ceres/dynamic_compressed_row_jacobian_writer.cc
	internal/ceres/dynamic_compressed_row_sparse_matrix.cc
	internal/ceres/evaluator.cc
	internal/ceres/file.cc
	internal/ceres/generated/partitioned_matrix_view_d_d_d.cc
	internal/ceres/generated/schur_eliminator_d_d_d.cc
	internal/ceres/gradient_checker.cc
	internal/ceres/gradient_checking_cost_function.cc
	internal/ceres/gradient_problem.cc
	internal/ceres/gradient_problem_solver.cc
	internal/ceres/implicit_schur_complement.cc
	internal/ceres/is_close.cc
	internal/ceres/iterative_schur_complement_solver.cc
	internal/ceres/lapack.cc
	internal/ceres/levenberg_marquardt_strategy.cc
	internal/ceres/linear_least_squares_problems.cc
	internal/ceres/linear_operator.cc
	internal/ceres/linear_solver.cc
	internal/ceres/line_search.cc
	internal/ceres/line_search_direction.cc
	internal/ceres/line_search_minimizer.cc
	internal/ceres/line_search_preprocessor.cc
	internal/ceres/local_parameterization.cc
	internal/ceres/loss_function.cc
	internal/ceres/low_rank_inverse_hessian.cc
	internal/ceres/minimizer.cc
	internal/ceres/normal_prior.cc
	internal/ceres/parameter_block_ordering.cc
	internal/ceres/partitioned_matrix_view.cc
	internal/ceres/polynomial.cc
	internal/ceres/preconditioner.cc
	internal/ceres/preprocessor.cc
	internal/ceres/problem.cc
	internal/ceres/problem_impl.cc
	internal/ceres/program.cc
	internal/ceres/reorder_program.cc
	internal/ceres/residual_block.cc
	internal/ceres/residual_block_utils.cc
	internal/ceres/schur_complement_solver.cc
	internal/ceres/schur_eliminator.cc
	internal/ceres/schur_jacobi_preconditioner.cc
	internal/ceres/scratch_evaluate_preparer.cc
	internal/ceres/solver.cc
	internal/ceres/solver_utils.cc
	internal/ceres/sparse_matrix.cc
	internal/ceres/sparse_normal_cholesky_solver.cc
	internal/ceres/split.cc
	internal/ceres/stringprintf.cc
	internal/ceres/triplet_sparse_matrix.cc
	internal/ceres/trust_region_minimizer.cc
	internal/ceres/trust_region_preprocessor.cc
	internal/ceres/trust_region_step_evaluator.cc
	internal/ceres/trust_region_strategy.cc
	internal/ceres/types.cc
	internal/ceres/wall_time.cc

	include/ceres/autodiff_cost_function.h
	include/ceres/autodiff_local_parameterization.h
	include/ceres/c_api.h
	include/ceres/ceres.h
	include/ceres/conditioned_cost_function.h
	include/ceres/cost_function.h
	include/ceres/cost_function_to_functor.h
	include/ceres/covariance.h
	include/ceres/crs_matrix.h
	include/ceres/dynamic_autodiff_cost_function.h
	include/ceres/dynamic_cost_function_to_functor.h
	include/ceres/dynamic_numeric_diff_cost_function.h
	include/ceres/fpclassify.h
	include/ceres/gradient_checker.h
	include/ceres/gradient_problem.h
	include/ceres/gradient_problem_solver.h
	include/ceres/internal/autodiff.h
	include/ceres/internal/disable_warnings.h
	include/ceres/internal/eigen.h
	include/ceres/internal/fixed_array.h
	include/ceres/internal/macros.h
	include/ceres/internal/manual_constructor.h
	include/ceres/internal/numeric_diff.h
	include/ceres/internal/port.h
	include/ceres/internal/reenable_warnings.h
	include/ceres/internal/scoped_ptr.h
	include/ceres/internal/variadic_evaluate.h
	include/ceres/iteration_callback.h
	include/ceres/jet.h
	include/ceres/local_parameterization.h
	include/ceres/loss_function.h
	include/ceres/normal_prior.h
	include/ceres/numeric_diff_cost_function.h
	include/ceres/numeric_diff_options.h
	include/ceres/ordered_groups.h
	include/ceres/problem.h
	include/ceres/rotation.h
	include/ceres/sized_cost_function.h
	include/ceres/solver.h
	include/ceres/types.h
	include/ceres/version.h
	internal/ceres/array_utils.h
	internal/ceres/blas.h
	internal/ceres/block_evaluate_preparer.h
	internal/ceres/block_jacobian_writer.h
	internal/ceres/block_jacobi_preconditioner.h
	internal/ceres/block_random_access_dense_matrix.h
	internal/ceres/block_random_access_diagonal_matrix.h
	internal/ceres/block_random_access_matrix.h
	internal/ceres/block_random_access_sparse_matrix.h
	internal/ceres/block_sparse_matrix.h
	internal/ceres/block_structure.h
	internal/ceres/callbacks.h
	internal/ceres/casts.h
	internal/ceres/cgnr_linear_operator.h
	internal/ceres/cgnr_solver.h
	internal/ceres/collections_port.h
	internal/ceres/compressed_col_sparse_matrix_utils.h
	internal/ceres/compressed_row_jacobian_writer.h
	internal/ceres/compressed_row_sparse_matrix.h
	internal/ceres/conjugate_gradients_solver.h
	internal/ceres/coordinate_descent_minimizer.h
	internal/ceres/corrector.h
	internal/ceres/covariance_impl.h
	internal/ceres/cxsparse.h
	internal/ceres/dense_jacobian_writer.h
	internal/ceres/dense_normal_cholesky_solver.h
	internal/ceres/dense_qr_solver.h
	internal/ceres/dense_sparse_matrix.h
	internal/ceres/detect_structure.h
	internal/ceres/dogleg_strategy.h
	internal/ceres/dynamic_compressed_row_finalizer.h
	internal/ceres/dynamic_compressed_row_jacobian_writer.h
	internal/ceres/dynamic_compressed_row_sparse_matrix.h
	internal/ceres/evaluator.h
	internal/ceres/execution_summary.h
	internal/ceres/file.h
	internal/ceres/gradient_checking_cost_function.h
	internal/ceres/gradient_problem_evaluator.h
	internal/ceres/graph_algorithms.h
	internal/ceres/graph.h
	internal/ceres/householder_vector.h
	internal/ceres/implicit_schur_complement.h
	internal/ceres/integral_types.h
	internal/ceres/is_close.h
	internal/ceres/iterative_schur_complement_solver.h
	internal/ceres/lapack.h
	internal/ceres/levenberg_marquardt_strategy.h
	internal/ceres/linear_least_squares_problems.h
	internal/ceres/linear_operator.h
	internal/ceres/linear_solver.h
	internal/ceres/line_search_direction.h
	internal/ceres/line_search.h
	internal/ceres/line_search_minimizer.h
	internal/ceres/line_search_preprocessor.h
	internal/ceres/low_rank_inverse_hessian.h
	internal/ceres/map_util.h
	internal/ceres/minimizer.h
	internal/ceres/mutex.h
	internal/ceres/parameter_block.h
	internal/ceres/parameter_block_ordering.h
	internal/ceres/partitioned_matrix_view.h
	internal/ceres/partitioned_matrix_view_impl.h
	internal/ceres/polynomial.h
	internal/ceres/preconditioner.h
	internal/ceres/preprocessor.h
	internal/ceres/problem_impl.h
	internal/ceres/program_evaluator.h
	internal/ceres/program.h
	internal/ceres/random.h
	internal/ceres/reorder_program.h
	internal/ceres/residual_block.h
	internal/ceres/residual_block_utils.h
	internal/ceres/schur_complement_solver.h
	internal/ceres/schur_eliminator.h
	internal/ceres/schur_eliminator_impl.h
	internal/ceres/schur_jacobi_preconditioner.h
	internal/ceres/scratch_evaluate_preparer.h
	internal/ceres/small_blas.h
	internal/ceres/solver_utils.h
	internal/ceres/sparse_matrix.h
	internal/ceres/sparse_normal_cholesky_solver.h
	internal/ceres/split.h
	internal/ceres/stl_util.h
	internal/ceres/stringprintf.h
	internal/ceres/suitesparse.h
	internal/ceres/triplet_sparse_matrix.h
	internal/ceres/trust_region_minimizer.h
	internal/ceres/trust_region_preprocessor.h
	internal/ceres/trust_region_step_evaluator.h
	internal/ceres/trust_region_strategy.h
	internal/ceres/visibility_based_preconditioner.h
	internal/ceres/wall_time.h
)

if(WITH_LIBMV_SCHUR_SPECIALIZATIONS)
	list(APPEND SRC
		internal/ceres/generated/partitioned_matrix_view_2_2_2.cc
		internal/ceres/generated/partitioned_matrix_view_2_2_3.cc
		internal/ceres/generated/partitioned_matrix_view_2_2_4.cc
		internal/ceres/generated/partitioned_matrix_view_2_2_d.cc
		internal/ceres/generated/partitioned_matrix_view_2_3_3.cc
		internal/ceres/generated/partitioned_matrix_view_2_3_4.cc
		internal/ceres/generated/partitioned_matrix_view_2_3_6.cc
		internal/ceres/generated/partitioned_matrix_view_2_3_9.cc
		internal/ceres/generated/partitioned_matrix_view_2_3_d.cc
		internal/ceres/generated/partitioned_matrix_view_2_4_3.cc
		internal/ceres/generated/partitioned_matrix_view_2_4_4.cc
		internal/ceres/generated/partitioned_matrix_view_2_4_8.cc
		internal/ceres/generated/partitioned_matrix_view_2_4_9.cc
		internal/ceres/generated/partitioned_matrix_view_2_4_d.cc
		internal/ceres/generated/partitioned_matrix_view_2_d_d.cc
		internal/ceres/generated/partitioned_matrix_view_4_4_2.cc
		internal/ceres/generated/partitioned_matrix_view_4_4_3.cc
		internal/ceres/generated/partitioned_matrix_view_4_4_4.cc
		internal/ceres/generated/partitioned_matrix_view_4_4_d.cc
		internal/ceres/generated/schur_eliminator_2_2_2.cc
		internal/ceres/generated/schur_eliminator_2_2_3.cc
		internal/ceres/generated/schur_eliminator_2_2_4.cc
		internal/ceres/generated/schur_eliminator_2_2_d.cc
		internal/ceres/generated/schur_eliminator_2_3_3.cc
		internal/ceres/generated/schur_eliminator_2_3_4.cc
		internal/ceres/generated/schur_eliminator_2_3_6.cc
		internal/ceres/generated/schur_eliminator_2_3_9.cc
		internal/ceres/generated/schur_eliminator_2_3_d.cc
		internal/ceres/generated/schur_eliminator_2_4_3.cc
		internal/ceres/generated/schur_eliminator_2_4_4.cc
		internal/ceres/generated/schur_eliminator_2_4_8.cc
		internal/ceres/generated/schur_eliminator_2_4_9.cc
		internal/ceres/generated/schur_eliminator_2_4_d.cc
		internal/ceres/generated/schur_eliminator_2_d_d.cc
		internal/ceres/generated/schur_eliminator_4_4_2.cc
		internal/ceres/generated/schur_eliminator_4_4_3.cc
		internal/ceres/generated/schur_eliminator_4_4_4.cc
		internal/ceres/generated/schur_eliminator_4_4_d.cc
	)
else()
	add_definitions(-DCERES_RESTRICT_SCHUR_SPECIALIZATION)
endif()

if(WIN32)
	list(APPEND INC
		../glog/src/windows
	)
else()
	list(APPEND INC
		../glog/src
	)
endif()

add_definitions(${GFLAGS_DEFINES})
add_definitions(${GLOG_DEFINES})
add_definitions(${CERES_DEFINES})

add_definitions(
	-DCERES_HAVE_PTHREAD
	-DCERES_NO_SUITESPARSE
	-DCERES_NO_CXSPARSE
	-DCERES_NO_LAPACK
	-DCERES_HAVE_RWLOCK
)

if(WITH_OPENMP)

=== extern/cuew/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	.
	include
)

set(INC_SYS

)

set(SRC
	src/cuew.c

	include/cuew.h
)

blender_add_lib(extern_cuew "${SRC}" "${INC}" "${INC_SYS}")

=== extern/curve_fit_nd/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	.
)

set(INC_SYS

)

set(SRC
	intern/curve_fit_cubic.c
	intern/curve_fit_cubic_refit.c
	intern/curve_fit_corners_detect.c

	curve_fit_nd.h
	intern/curve_fit_inline.h
	intern/generic_alloc_impl.h
	intern/generic_heap.c
	intern/generic_heap.h
)

blender_add_lib(extern_curve_fit_nd "${SRC}" "${INC}" "${INC_SYS}")

=== extern/gflags/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2016, Blender Foundation
# All rights reserved.
#
# Contributor(s): Blender Foundation,
#                 Sergey Sharybin
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	src
	src/gflags
)

set(INC_SYS
)

set(SRC
	src/gflags.cc
	src/gflags_completions.cc
	src/gflags_reporting.cc

	src/config.h
	src/gflags/gflags_completions.h
	src/gflags/gflags_declare.h
	src/gflags/gflags_gflags.h
	src/gflags/gflags.h
	src/mutex.h
	src/util.h
)

if(WIN32)
	list(APPEND SRC
		src/windows_port.cc
		src/windows_port.h
	)
endif()

add_definitions(${GFLAGS_DEFINES})

blender_add_lib(extern_gflags "${SRC}" "${INC}" "${INC_SYS}")

=== extern/glew/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2006, Blender Foundation
# All rights reserved.
#
# The Original Code is: all of this file.
#
# Contributor(s): Jacques Beaurain.
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	include
)

set(INC_SYS

)

if(UNIX)
	list(APPEND INC_SYS
		${X11_X11_INCLUDE_PATH}
	)
endif()

set(SRC
	src/glew.c

	include/GL/glew.h
	include/GL/glxew.h
	include/GL/wglew.h
)

add_definitions(${GL_DEFINITIONS})

if(WITH_GLEW_MX)
	add_definitions(-DGLEW_MX)
endif()

blender_add_lib(extern_glew "${SRC}" "${INC}" "${INC_SYS}")

=== extern/glog/CMakeLists.txt ===
# ***** BEGIN GPL LICENSE BLOCK *****
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation,
# Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
# The Original Code is Copyright (C) 2016, Blender Foundation
# All rights reserved.
#
# Contributor(s): Blender Foundation,
#                 Sergey Sharybin
#
# ***** END GPL LICENSE BLOCK *****

set(INC
	src
	../gflags/src
)

set(INC_SYS
)

set(SRC
	src/logging.cc
	src/raw_logging.cc
	src/utilities.cc
	src/vlog_is_on.cc

	src/utilities.h

	src/config.h
	src/config_freebsd.h
	src/config_hurd.h
	src/config_linux.h
	src/config_mac.h

	src/base/commandlineflags.h
	src/base/googleinit.h
	src/base/mutex.h

	src/stacktrace.h
	src/stacktrace_generic-inl.h
	src/stacktrace_libunwind-inl.h
	src/stacktrace_powerpc-inl.h
	src/stacktrace_x86_64-inl.h
	src/stacktrace_x86-inl.h
)

if(WIN32)
	list(APPEND SRC
		src/windows/port.cc

		src/windows/glog/raw_logging.h
		src/windows/glog/vlog_is_on.h
		src/windows/glog/logging.h
		src/windows/glog/log_severity.h
		src/windows/port.h
		src/windows/config.h
	)

	list(APPEND INC
		src/windows
	)
else()
	list(APPEND SRC
		src/demangle.cc
		src/signalhandler.cc
		src/symbolize.cc

		src/demangle.h
		src/glog/logging.h
		src/glog/log_severity.h
		src/glog/raw_logging.h
		src/glog/vlog_is_on.h
		src/symbolize.h
	)
endif()

add_definitions(${GFLAGS_DEFINES})
add_definitions(${GLOG_DEFINES})

blender_add_lib(extern_glog "${SRC}" "${INC}" "${INC_SYS}")

=== debian/changelog ===
blender (2.79.b+dfsg0-1~deb9u1) stretch-security; urgency=high

  * Security upload (based on Sec Team advice) using
    v2.79b release and fixing following CVEs:
    CVE-2017-2899 CVE-2017-2900
    CVE-2017-2901 CVE-2017-2902
    CVE-2017-2903 CVE-2017-2904
    CVE-2017-2905 CVE-2017-2906
    CVE-2017-2907 CVE-2017-2908
    CVE-2017-2918 CVE-2017-12081
    CVE-2017-12082 CVE-2017-12086
    CVE-2017-12099 CVE-2017-12100
    CVE-2017-12101 CVE-2017-12102
    CVE-2017-12103 CVE-2017-12104
    CVE-2017-12105
  * debian/: debhelper 11 -> 10
  * Revert -dbg -> -dbgsym package migration

 -- Matteo F. Vescovi <mfv@debian.org>  Mon, 16 Jul 2018 22:30:54 +0200

blender (2.79.b+dfsg0-1) unstable; urgency=medium

  * New upstream bugfix release

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 30 Mar 2018 22:53:23 +0200

blender (2.79.a+dfsg0-2) unstable; urgency=medium

  * debian/rules: drop OpenCOLLADA support on mipsel

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 16 Mar 2018 22:20:15 +0100

blender (2.79.a+dfsg0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Matteo F. Vescovi ]
  * New upstream release
    - debian/patches/: patchset updated
      - 0008-fix_FTBFS_with_OpenVDB4.patch dropped
      - 0009-fix_FTBFS_due_to_pugi_ambiguous_naming.patch dropped
      (both applied upstream)
  * debian/: debhelper bump 10 -> 11
  * debian/control: S-V bump 4.1.1 -> 4.1.3 (no changes needed)
  * debian/rules: drop '--parallel' parameter
  * debian/watch: http:// -> https:// for upstream repository

 -- Matteo F. Vescovi <mfv@debian.org>  Fri, 09 Mar 2018 22:50:24 +0100

=== debian/control ===
Source: blender
Section: graphics
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Matteo F. Vescovi <mfv@debian.org>
Build-Depends: cmake,
               debhelper (>= 10),
               gettext,
               libalut-dev,
               libavcodec-dev (>> 6:10),
               libavdevice-dev,
               libavformat-dev,
               libavfilter-dev,
               libboost-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-locale-dev,
               libboost-regex-dev,
               libboost-system-dev,
               libboost-thread-dev,
               libfftw3-dev,
               libfontconfig-dev,
               libgettextpo-dev,
               libglew-dev,
               libgsm1-dev,
               libilmbase-dev (>= 2.2.0),
               libjack-dev,
               libjemalloc-dev [!hurd-i386],
               libjpeg-dev,
               liblzma-dev,
               liblzo2-dev,
               libopenal-dev,
               libopencolorio-dev [!hurd-i386],
               libopenexr-dev (>= 2.2.0),
               libopenimageio-dev,
               libopenjp2-7-dev,
               libopenvdb-dev [amd64 i386],
               libpng-dev,
               libsdl-dev,
               libsndfile-dev,
               libspnav-dev,
               libswscale-dev,
               libtbb-dev [amd64 i386],
               libtiff-dev,
               libvorbis-dev,
               libxi-dev,
               libz-dev,
               opencollada-dev [linux-any],
               pkg-config,
               python3-dev,
               python3-requests
X-Python3-Version: >= 3.3
Build-Conflicts: nvidia-glx
Standards-Version: 4.1.3
Homepage: http://www.blender.org/
Vcs-Git: https://salsa.debian.org/multimedia-team/blender.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/blender

Package: blender
Architecture: any
Depends: blender-data (= ${source:Version}),
         fonts-dejavu,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Very fast and versatile 3D modeller/renderer
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary are common products of Blender use.

Package: blender-data
Architecture: all
Depends: python3,
         ${misc:Depends},
         ${python3:Depends}
Replaces: blender (<< 2.67b-1~)
Description: Very fast and versatile 3D modeller/renderer - data package
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games). Blender has its
 own particular user interface, which is implemented entirely in OpenGL and
 designed with speed in mind. Python bindings are available for scripting;
 import/export features for popular file formats like 3D Studio and Wavefront
 Obj are implemented as scripts by the community. Stills, animations, models
 for games or other third party engines and interactive content in the form of
 a standalone binary are common products of Blender use.
 .
 This package contains documentation, libraries and images for blender.

Package: blender-dbg
Architecture: any
Section: debug
Priority: extra
Depends: blender (= ${binary:Version}),
         ${misc:Depends}
Description: Very fast and versatile 3D modeller/renderer - debug package
 Blender is an integrated 3d suite for modelling, animation, rendering,
 post-production, interactive creation and playback (games).
 .
 This package contains debug symbols to produce useful backtraces.

=== debian/rules ===
#!/usr/bin/make -f

export REPACK_SH=$(CURDIR)/debian/repack.sh

INSTDIR = debian/tmp
PY3VERS = $(shell py3versions -dv)
SRC_VER = $(shell uscan --report | grep blender-.* | sed 's/^.*-//' | sed 's/\.tar.*$$//')

ifeq ($(DEB_HOST_ARCH),i386)
	SETSSE = OFF
else
	SETSSE = ON
endif

ifneq (,$(filter $(DEB_HOST_ARCH),amd64 i386))
	SETVDB = ON
else
	SETVDB = OFF
endif

ifeq ($(DEB_HOST_ARCH),mipsel)
	SETCOLLADA = OFF
else
	SETCOLLADA = ON
endif

get-orig-source:
	uscan --force-download --repack --compression xz

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_SKIP_RPATH=ON \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DFREETYPE_INCLUDE_DIRS="/usr/include/freetype2" \
		-DPYTHON_VERSION=$(PY3VERS) \
		-DWITH_CODEC_FFMPEG=ON \
		-DWITH_CODEC_SNDFILE=ON \
		-DWITH_CPU_SSE=$(SETSSE) \
		-DWITH_CYCLES=ON \
		-DWITH_DOC_MANPAGE=ON \
		-DWITH_FFTW3=ON \
		-DWITH_FONTCONFIG=ON \
		-DWITH_GAMEENGINE=ON \
		-DWITH_IMAGE_OPENJPEG=ON \
		-DWITH_INPUT_NDOF=ON \
		-DWITH_INSTALL_PORTABLE=OFF \
		-DWITH_JACK=ON \
		-DWITH_MOD_OCEANSIM=ON \
		-DWITH_OPENCOLLADA=$(SETCOLLADA) \
		-DWITH_OPENCOLORIO=ON \
		-DWITH_OPENVDB=$(SETVDB) \
		-DWITH_PLAYER=ON \
		-DWITH_PYTHON_INSTALL=OFF \
		-DWITH_SYSTEM_OPENJPEG=ON

override_dh_auto_install:
	dh_auto_install --buildsystem=cmake
	find $(INSTDIR)/usr/share/blender/ -type d -empty -delete
	rm -rf $(INSTDIR)/usr/share/blender/scripts/addons/netrender/
	rm $(INSTDIR)/usr/share/doc/blender/LICENSE-droidsans.ttf.txt
	rm $(INSTDIR)/usr/share/doc/blender/LICENSE-bmonofont-i18n.ttf.txt
	rm $(INSTDIR)/usr/share/doc/blender/LICENSE-bfont.ttf.txt
	rm $(INSTDIR)/usr/share/doc/blender/GPL-license.txt
	rm $(INSTDIR)/usr/share/doc/blender/Python-license.txt
	rm $(INSTDIR)/usr/share/doc/blender/readme.html

override_dh_install:
	dh_install --fail-missing --list-missing

override_dh_strip:
	dh_strip --dbg-package=blender-dbg

override_dh_auto_test:

%:
	dh $@ --buildsystem=cmake --with python3

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg.*//" \
https://download.blender.org/source/blender-(.+)\.tar\.gz debian sh debian/repack.stub
